CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
csl::CSLService Class Reference

`#include <CRAM_Service.h>`

List of all members.

## Public Member Functions
void | start (void)
void | stop (void)
void | suspend (void)
void | resume (void)
void | set_opt (const char *nam, const char *val)
| CSLService (char *name, unsigned short lport, unsigned short eport, char *which)
| ~CSLService ()

## Public Attributes
pthread_t | mThread
char * | mWhich

## Detailed Description

Definition at line 47 of file CRAM_Service.h.

## Constructor & Destructor Documentation

CSLService::CSLService | ( | char * | name,
|  | unsigned short | lport,
|  | unsigned short | eport,
|  | char * | which
| ) |  |

Definition at line 46 of file CRAM_Service.cpp.

References mWhich.

CSLService::~CSLService | ( |  | ) |

Definition at line 63 of file CRAM_Service.cpp.

References mWhich.

## Member Function Documentation

void CSLService::start | ( | void |  | ) |

Definition at line 71 of file CRAM_Service.cpp.

References fm_bells(), csl::kLogError, mixer(), mThread, mWhich, phonemes(), and swept_noise().

Referenced by main().

void CSLService::stop | ( | void |  | ) |

Definition at line 95 of file CRAM_Service.cpp.

References csl::IO::close(), gIO, mThread, and csl::IO::stop().

void CSLService::suspend | ( | void |  | ) |

Definition at line 105 of file CRAM_Service.cpp.

References gIO, and csl::IO::stop().

void CSLService::resume | ( | void |  | ) |

Definition at line 111 of file CRAM_Service.cpp.

References gIO, and csl::IO::start().

void CSLService::set_opt | ( | const char * | nam,
|  | const char * | val
| ) |  |

Definition at line 119 of file CRAM_Service.cpp.

## Member Data Documentation

pthread_t csl::CSLService::mThread

Definition at line 61 of file CRAM_Service.h.

Referenced by start(), and stop().

char* csl::CSLService::mWhich

Definition at line 62 of file CRAM_Service.h.

Referenced by CSLService(), start(), and ~CSLService().

The documentation for this class was generated from the following files:

- CSL/CRAM/CRAM_Service.h
- CSL/CRAM/CRAM_Service.cpp